client:
  name: basic
  file-system: device-agnostic
tools: {}
targets:
  "PackageStructure": ["<PackageStructure>"]
  "PyRunner-arm64-apple-macosx26.0-debug.exe": ["<PyRunner-arm64-apple-macosx26.0-debug.exe>"]
  "PyRunner-arm64-apple-macosx26.0-debug.module": ["<PyRunner-arm64-apple-macosx26.0-debug.module>"]
  "main": ["<PyRunner-arm64-apple-macosx26.0-debug.exe>","<PyRunner-arm64-apple-macosx26.0-debug.module>"]
  "test": ["<PyRunner-arm64-apple-macosx26.0-debug.exe>","<PyRunner-arm64-apple-macosx26.0-debug.module>"]
default: "main"
nodes:
  "/Users/neog/Apps/macOS/PyRunner/Sources/PyRunner/":
    is-directory-structure: true
    content-exclusion-patterns: [".git",".build"]
  "/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner":
    is-mutated: true
commands:
  "/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner-entitlement.plist":
    tool: write-auxiliary-file
    inputs: ["<entitlement-plist>","<com.apple.security.get-task-allow>"]
    outputs: ["/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner-entitlement.plist"]
    description: "Write auxiliary file /Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner-entitlement.plist"

  "/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/sources":
    tool: write-auxiliary-file
    inputs: ["<sources-file-list>","/Users/neog/Apps/macOS/PyRunner/Sources/PyRunner/Components/ToolbarButtons.swift","/Users/neog/Apps/macOS/PyRunner/Sources/PyRunner/Models/CodeSnippet.swift","/Users/neog/Apps/macOS/PyRunner/Sources/PyRunner/Models/Document.swift","/Users/neog/Apps/macOS/PyRunner/Sources/PyRunner/Models/ExecutionHistory.swift","/Users/neog/Apps/macOS/PyRunner/Sources/PyRunner/Models/ExecutionResult.swift","/Users/neog/Apps/macOS/PyRunner/Sources/PyRunner/PyRunnerApp.swift","/Users/neog/Apps/macOS/PyRunner/Sources/PyRunner/Services/PythonExecutor.swift","/Users/neog/Apps/macOS/PyRunner/Sources/PyRunner/Services/REPLExecutor.swift","/Users/neog/Apps/macOS/PyRunner/Sources/PyRunner/Services/SyntaxHighlighter.swift","/Users/neog/Apps/macOS/PyRunner/Sources/PyRunner/Services/ThemeManager.swift","/Users/neog/Apps/macOS/PyRunner/Sources/PyRunner/Views/CodeEditorView.swift","/Users/neog/Apps/macOS/PyRunner/Sources/PyRunner/Views/ContentView.swift","/Users/neog/Apps/macOS/PyRunner/Sources/PyRunner/Views/FindReplaceBar.swift","/Users/neog/Apps/macOS/PyRunner/Sources/PyRunner/Views/OutputView.swift","/Users/neog/Apps/macOS/PyRunner/Sources/PyRunner/Views/REPLView.swift","/Users/neog/Apps/macOS/PyRunner/Sources/PyRunner/Views/TabBarView.swift"]
    outputs: ["/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/sources"]
    description: "Write auxiliary file /Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/sources"

  "/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.product/Objects.LinkFileList":
    tool: write-auxiliary-file
    inputs: ["<link-file-list>","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/CodeEditorView.swift.o","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/CodeSnippet.swift.o","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/ContentView.swift.o","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/Document.swift.o","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/ExecutionHistory.swift.o","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/ExecutionResult.swift.o","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/FindReplaceBar.swift.o","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/OutputView.swift.o","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/PyRunnerApp.swift.o","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/PythonExecutor.swift.o","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/REPLExecutor.swift.o","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/REPLView.swift.o","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/SyntaxHighlighter.swift.o","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/TabBarView.swift.o","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/ThemeManager.swift.o","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/ToolbarButtons.swift.o"]
    outputs: ["/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.product/Objects.LinkFileList"]
    description: "Write auxiliary file /Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.product/Objects.LinkFileList"

  "/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/swift-version--58304C5D6DBC2206.txt":
    tool: write-auxiliary-file
    inputs: ["<swift-get-version>","/Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/swiftc"]
    outputs: ["/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/swift-version--58304C5D6DBC2206.txt"]
    always-out-of-date: "true"
    description: "Write auxiliary file /Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/swift-version--58304C5D6DBC2206.txt"

  "<PyRunner-arm64-apple-macosx26.0-debug.exe>":
    tool: phony
    inputs: ["<PyRunner-arm64-apple-macosx26.0-debug.exe-CodeSigning>"]
    outputs: ["<PyRunner-arm64-apple-macosx26.0-debug.exe>"]

  "<PyRunner-arm64-apple-macosx26.0-debug.module>":
    tool: phony
    inputs: ["/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/ToolbarButtons.swift.o","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/CodeSnippet.swift.o","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/Document.swift.o","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/ExecutionHistory.swift.o","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/ExecutionResult.swift.o","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/PyRunnerApp.swift.o","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/PythonExecutor.swift.o","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/REPLExecutor.swift.o","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/SyntaxHighlighter.swift.o","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/ThemeManager.swift.o","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/CodeEditorView.swift.o","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/ContentView.swift.o","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/FindReplaceBar.swift.o","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/OutputView.swift.o","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/REPLView.swift.o","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/TabBarView.swift.o","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/Modules/PyRunner.swiftmodule"]
    outputs: ["<PyRunner-arm64-apple-macosx26.0-debug.module>"]

  "C.PyRunner-arm64-apple-macosx26.0-debug.exe":
    tool: shell
    inputs: ["/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/CodeEditorView.swift.o","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/CodeSnippet.swift.o","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/ContentView.swift.o","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/Document.swift.o","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/ExecutionHistory.swift.o","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/ExecutionResult.swift.o","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/FindReplaceBar.swift.o","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/OutputView.swift.o","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/PyRunnerApp.swift.o","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/PythonExecutor.swift.o","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/REPLExecutor.swift.o","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/REPLView.swift.o","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/SyntaxHighlighter.swift.o","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/TabBarView.swift.o","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/ThemeManager.swift.o","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/ToolbarButtons.swift.o","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.product/Objects.LinkFileList"]
    outputs: ["/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner"]
    description: "Linking ./.build/arm64-apple-macosx/debug/PyRunner"
    args: ["/Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/swiftc","-L","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug","-o","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner","-module-name","PyRunner","-Xlinker","-no_warn_duplicate_libraries","-emit-executable","-Xlinker","-alias","-Xlinker","_PyRunner_main","-Xlinker","_main","-Xlinker","-rpath","-Xlinker","@loader_path","@/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.product/Objects.LinkFileList","-Xlinker","-rpath","-Xlinker","/Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/lib/swift-6.2/macosx","-target","arm64-apple-macosx14.0","-Xlinker","-add_ast_path","-Xlinker","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/Modules/PyRunner.swiftmodule","-plugin-path","/Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/lib/swift/host/plugins/testing","-sdk","/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX26.1.sdk","-F","/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/Library/Frameworks","-F","/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/Library/PrivateFrameworks","-I","/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/usr/lib","-L","/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/usr/lib","-g"]

  "C.PyRunner-arm64-apple-macosx26.0-debug.exe-entitlements":
    tool: shell
    inputs: ["/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner-entitlement.plist"]
    outputs: ["<PyRunner-arm64-apple-macosx26.0-debug.exe-CodeSigning>"]
    description: "Applying debug entitlements to ./.build/arm64-apple-macosx/debug/PyRunner"
    args: ["codesign","--force","--sign","-","--entitlements","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner-entitlement.plist","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner"]

  "C.PyRunner-arm64-apple-macosx26.0-debug.module":
    tool: shell
    inputs: ["/Users/neog/Apps/macOS/PyRunner/Sources/PyRunner/Components/ToolbarButtons.swift","/Users/neog/Apps/macOS/PyRunner/Sources/PyRunner/Models/CodeSnippet.swift","/Users/neog/Apps/macOS/PyRunner/Sources/PyRunner/Models/Document.swift","/Users/neog/Apps/macOS/PyRunner/Sources/PyRunner/Models/ExecutionHistory.swift","/Users/neog/Apps/macOS/PyRunner/Sources/PyRunner/Models/ExecutionResult.swift","/Users/neog/Apps/macOS/PyRunner/Sources/PyRunner/PyRunnerApp.swift","/Users/neog/Apps/macOS/PyRunner/Sources/PyRunner/Services/PythonExecutor.swift","/Users/neog/Apps/macOS/PyRunner/Sources/PyRunner/Services/REPLExecutor.swift","/Users/neog/Apps/macOS/PyRunner/Sources/PyRunner/Services/SyntaxHighlighter.swift","/Users/neog/Apps/macOS/PyRunner/Sources/PyRunner/Services/ThemeManager.swift","/Users/neog/Apps/macOS/PyRunner/Sources/PyRunner/Views/CodeEditorView.swift","/Users/neog/Apps/macOS/PyRunner/Sources/PyRunner/Views/ContentView.swift","/Users/neog/Apps/macOS/PyRunner/Sources/PyRunner/Views/FindReplaceBar.swift","/Users/neog/Apps/macOS/PyRunner/Sources/PyRunner/Views/OutputView.swift","/Users/neog/Apps/macOS/PyRunner/Sources/PyRunner/Views/REPLView.swift","/Users/neog/Apps/macOS/PyRunner/Sources/PyRunner/Views/TabBarView.swift","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/swift-version--58304C5D6DBC2206.txt","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/sources"]
    outputs: ["/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/ToolbarButtons.swift.o","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/CodeSnippet.swift.o","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/Document.swift.o","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/ExecutionHistory.swift.o","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/ExecutionResult.swift.o","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/PyRunnerApp.swift.o","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/PythonExecutor.swift.o","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/REPLExecutor.swift.o","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/SyntaxHighlighter.swift.o","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/ThemeManager.swift.o","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/CodeEditorView.swift.o","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/ContentView.swift.o","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/FindReplaceBar.swift.o","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/OutputView.swift.o","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/REPLView.swift.o","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/TabBarView.swift.o","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/Modules/PyRunner.swiftmodule"]
    description: "Compiling Swift Module 'PyRunner' (16 sources)"
    args: ["/Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/swiftc","-module-name","PyRunner","-emit-dependencies","-emit-module","-emit-module-path","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/Modules/PyRunner.swiftmodule","-output-file-map","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/output-file-map.json","-incremental","-c","@/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/PyRunner.build/sources","-I","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/Modules","-target","arm64-apple-macosx14.0","-incremental","-enable-batch-mode","-serialize-diagnostics","-index-store-path","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/index/store","-Onone","-enable-testing","-j10","-DSWIFT_PACKAGE","-DDEBUG","-DSWIFT_MODULE_RESOURCE_BUNDLE_UNAVAILABLE","-module-cache-path","/Users/neog/Apps/macOS/PyRunner/.build/arm64-apple-macosx/debug/ModuleCache","-parseable-output","-Xfrontend","-entry-point-function-name","-Xfrontend","PyRunner_main","-swift-version","5","-plugin-path","/Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/lib/swift/host/plugins/testing","-sdk","/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX26.1.sdk","-F","/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/Library/Frameworks","-F","/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/Library/PrivateFrameworks","-I","/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/usr/lib","-L","/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/usr/lib","-g","-Xcc","-isysroot","-Xcc","/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX26.1.sdk","-Xcc","-F","-Xcc","/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/Library/Frameworks","-Xcc","-F","-Xcc","/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/Library/PrivateFrameworks","-Xcc","-fPIC","-Xcc","-g","-package-name","pyrunner"]

  "PackageStructure":
    tool: package-structure-tool
    inputs: ["/Users/neog/Apps/macOS/PyRunner/Sources/PyRunner/","/Users/neog/Apps/macOS/PyRunner/Package.swift","/Users/neog/Apps/macOS/PyRunner/Package.resolved"]
    outputs: ["<PackageStructure>"]
    description: "Planning build"
    allow-missing-inputs: true

